BeanContextServiceAvailableEvent (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: java.beans.beancontext, class: BeanContextServiceAvailableEvent
Keywords: java.beans.beancontext.BeanContextServiceAvailableEvent class

# Class BeanContextServiceAvailableEvent

java.lang.Object
java.util.EventObject
java.beans.beancontext.BeanContextEvent
java.beans.beancontext.BeanContextServiceAvailableEvent

All Implemented Interfaces:
  `Serializable`

@Deprecated(since="23", forRemoval=true) public class BeanContextServiceAvailableEvent extends BeanContextEvent
Deprecated, for removal: This API element is subject to removal in a future version.

This event type is used by the BeanContextServicesListener in order to identify the service being registered.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Class<?>`
  `serviceClass`
  Deprecated, for removal: This API element is subject to removal in a future version.
  A `Class` reference to the newly available service

  ### Fields declared in class BeanContextEvent

  `propagatedFrom`
  Modifier and Type
  Field
  Description
  `protected BeanContext`
  `propagatedFrom`
  Deprecated, for removal: This API element is subject to removal in a future version.
  The `BeanContext` from which this event was propagated

  ### Fields declared in class EventObject

  `source`
  Modifier and Type
  Field
  Description
  `protected Object`
  `source`
  The object on which the Event initially occurred.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanContextServiceAvailableEvent(BeanContextServices bcs, Class<?> sc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Construct a `BeanContextAvailableServiceEvent`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Iterator<?>`
  `getCurrentServiceSelectors()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the list of service dependent selectors.
  `Class<?>`
  `getServiceClass()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the service class that is the subject of this notification.
  `BeanContextServices`
  `getSourceAsBeanContextServices()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the source as a reference of type `BeanContextServices`.

  ### Methods declared in class BeanContextEvent

  `getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`
  Modifier and Type
  Method
  Description
  `BeanContext`
  `getBeanContext()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the `BeanContext` associated with this event.
  `BeanContext`
  `getPropagatedFrom()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the `BeanContext` from which this event was propagated.
  `boolean`
  `isPropagated()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Reports whether or not this event is propagated from some other `BeanContext`.
  `void`
  `setPropagatedFrom(BeanContext bc)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Sets the `BeanContext` from which this event was propagated.

  ### Methods declared in class EventObject

  `getSource, toString`
  Modifier and Type
  Method
  Description
  `Object`
  `getSource()`
  The object on which the Event initially occurred.
  `String`
  `toString()`
  Returns a String representation of this EventObject.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Field Details

  - ### serviceClass

    protected Class<?> serviceClass
    Deprecated, for removal: This API element is subject to removal in a future version.
    A `Class` reference to the newly available service

- ## Constructor Details

  - ### BeanContextServiceAvailableEvent

    public BeanContextServiceAvailableEvent(BeanContextServices bcs, Class<?> sc)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Construct a `BeanContextAvailableServiceEvent`.
    Parameters:
      `bcs` - The context in which the service has become available
      `sc` - A `Class` reference to the newly available service

- ## Method Details

  - ### getSourceAsBeanContextServices

    public BeanContextServices getSourceAsBeanContextServices()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the source as a reference of type `BeanContextServices`.
    Returns:
      The context in which the service has become available

  - ### getServiceClass

    public Class<?> getServiceClass()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the service class that is the subject of this notification.
    Returns:
      A `Class` reference to the newly available service

  - ### getCurrentServiceSelectors

    public Iterator<?> getCurrentServiceSelectors()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the list of service dependent selectors.
    Returns:
      the current selectors available from the service